---
inputType: "CA10__CaAwsDbCluster__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsDbCluster__c/object.extracts.yaml"
conditions:
  - status: "COMPLIANT"
    currentStateMessage: "The RDS Cluster is configured to publish logs to CloudWatch."
    check:
      NOT_EMPTY:
        arg:
          EXTRACT: "CA10__enabledCloudwatchLogsExports__c"
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "The RDS Cluster is not configured to publish logs to CloudWatch."
  remediationMessage: "Modify the RDS Cluster to enable CloudWatch logs."